Skip to main content
POST
Initiate Payment
For a usage description of the Payment Initiation Service, please refer to the Payment Services page.

Endpoint

POST /payments/initiate

Authorizations

Authorization
string
header
required

Bearer token obtained from POST /auth. Valid for 60 minutes.

Body

application/json
referenceId
string
required

Unique identifier for the transaction generated by your system.

Example:

"uniqueRefId123"

transactionDescription
string
required

Description of the transaction.

Example:

"Payment for Order #12345"

returnUrl
string<uri>
required

URL to redirect after payment completion – back to the calling app or website.

Example:

"https://example.com/callback"

IBAN
string
required

Recipient's IBAN for direct payment.

Example:

"DE89370400440532013000"

currency
string
required

Currency code.

Example:

"EUR"

amount
string
required

Payment amount formatted as a decimal string.

Example:

"12.50"

storedBIC
string

Pre-stored BIC code.

Example:

"BOFIIE2D"

language
string

Language code.

Example:

"DE"

country
string

Country code.

Example:

"DE"

Response

Payment successfully initiated.

requestId
string
required

Unique identifier for the request. Will be used to query the transfer status in the Retrieve Transaction Status API call.

Example:

"req123456789"

redirectUrl
string<uri>
required

URL to redirect the user to the hosted payment page.

Example:

"https://example.com/app/req_123456789"